#ifndef DEFERREDMODULE_H
#define DEFERREDMODULE_H

#include "module.h"
#include <vector>
#include <cstddef>
#include <glew/glew.h>
#include "lights.h"

class Shader;
class PhongEntity;

class DeferredModule : public Module
{
public:
    DeferredModule(Lights::Light* myDirLight, Lights* myPointLights);

    //void addEntity(PhongEntity* myEntity);
    //void clearEntities();

    virtual void renderGL(Camera* myCamera) = 0;
    virtual bool requiresModernOpenGL() {return true;}
private:
    /*Lights::Light* dirLight;
    Lights* pointLights;
    GLuint dirLightLocation;
    GLuint nbPointLightsLocation;
    GLuint pointLightsLocation;
    std::vector<PhongEntity*> entities;

    static Shader* shaders[NB_SHADERS];*/
};

#endif // DEFERREDMODULE_H
